# openapi-client
Ruler API is a flexible API for rules. Originally designed for FIRST Robotics Competition, it is flexible in nature to allow for any program to use it.

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import openapi_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import openapi_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = openapi_client.GetRuleApi(openapi_client.ApiClient(configuration))
rule_id = 'rule_id_example' # str | Rule ID to get

try:
    api_response = api_instance.get_rule(rule_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling GetRuleApi->get_rule: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://frcrules.herokuapp.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*GetRuleApi* | [**get_rule**](docs/GetRuleApi.md#get_rule) | **GET** /rule/{rule_id} | 
*GetRuleListApi* | [**get_rules**](docs/GetRuleListApi.md#get_rules) | **GET** /rules | 


## Documentation For Models



## Documentation For Authorization

 All endpoints do not require authorization.

## Author




